Qyra
Referencev2

Get pre-aggregate materializations

Retrieves pre-aggregate definitions with their latest materialization status

GET/api/v2/projects/{projectUuid}/pre-aggregates/materializations

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
pagenumberNo
pageSizenumberNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": {
      "materializations": [
        {
          "materialization": {
            "trigger": "compile",
            "errorMessage": "string",
            "totalBytes": 0,
            "columns": {
              "property": {
                "provenance": {
                  "sourceQueryUuid": "string",
                  "fieldId": "string"
                },
                "shiftsTimezone": true,
                "timeInterval": "RAW",
                "formatOptions": {
                  "type": "default",
                  "round": 0,
                  "separator": "default",
                  "currency": "string",
                  "compact": "auto",
                  "prefix": "string",
                  "suffix": "string",
                  "timeInterval": "RAW",
                  "custom": "string"
                },
                "separator": "default",
                "format": "string",
                "label": "string",
                "numericKind": {
                  "kind": "integer"
                },
                "type": "string",
                "reference": "string"
              }
            },
            "rowCount": 0,
            "durationMs": 0,
            "materializedAt": "2024-01-01T00:00:00.000Z",
            "status": "in_progress",
            "materializationUuid": "string"
          },
          "warnings": [
            {
              "threshold": 0,
              "rowCount": 0,
              "message": "string",
              "type": "row_count_exceeded"
            }
          ],
          "resolvedMaxRows": 0,
          "definitionError": "string",
          "refreshCron": "string",
          "granularity": {},
          "timeDimension": "string",
          "filters": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fieldRef": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true
            }
          ],
          "metrics": [
            "string"
          ],
          "dimensions": [
            "string"
          ],
          "materializationRole": {
            "attributes": {
              "property": [
                "string"
              ]
            },
            "email": "string"
          },
          "sourceExploreName": "string",
          "preAggExploreName": "string",
          "externalTable": "string",
          "preAggregateName": "string",
          "preAggregateDefinitionUuid": "string"
        }
      ]
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}